Index: doc/latex/libBM_8h__dep__incl.eps
===================================================================
--- doc/latex/libBM_8h__dep__incl.eps (revision 30)
+++ doc/latex/libBM_8h__dep__incl.eps (revision 79)
@@ -182,51 +182,51 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 545 182
+%%PageBoundingBox: 36 36 789 240
 %%PageOrientation: Portrait
 gsave
-36 36 545 182 boxprim clip newpath
+36 36 789 240 boxprim clip newpath
 0 0 1 beginpage
 1 1 set_scale 0 rotate 40 40 translate
 0.000 0.000 1.000 graphcolor
 newpath -4 -4 moveto
--4 142 lineto
-505 142 lineto
-505 -4 lineto
+-4 200 lineto
+749 200 lineto
+749 -4 lineto
 closepath fill
 1 setlinewidth
 0.000 0.000 1.000 graphcolor
 newpath -4 -4 moveto
--4 142 lineto
-505 142 lineto
-505 -4 lineto
+-4 200 lineto
+749 200 lineto
+749 -4 lineto
 closepath stroke
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 173 116 moveto
-173 137 lineto
-330 137 lineto
-330 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 173 116 moveto
-173 137 lineto
-330 137 lineto
-330 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-251 123 moveto 141 -0.5 (work/mixpp/bdm/stat/libBM.h) alignedtext
+newpath 336 174 moveto
+336 195 lineto
+493 195 lineto
+493 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 336 174 moveto
+336 195 lineto
+493 195 lineto
+493 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+414 181 moveto 141 -0.5 (work/mixpp/bdm/stat/libBM.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 3 59 157 79 ]
+[ /Rect [ 83 117 237 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libFN_8h-source.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 3 59 157 79 ]
+[ /Rect [ 83 117 237 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libFN_8h-source.html) >>
@@ -234,20 +234,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 3 58 moveto
-3 79 lineto
-158 79 lineto
-158 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 3 58 moveto
-3 79 lineto
-158 79 lineto
-158 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-80 65 moveto 139 -0.5 (work/mixpp/bdm/stat/libFN.h) alignedtext
+newpath 83 116 moveto
+83 137 lineto
+238 137 lineto
+238 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 83 116 moveto
+83 137 lineto
+238 137 lineto
+238 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+160 123 moveto 139 -0.5 (work/mixpp/bdm/stat/libFN.h) alignedtext
 grestore
 % Node1->Node2
@@ -256,202 +256,355 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 208 113 moveto
-178 102 137 88 110 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 207.416 116.479 moveto
-218 116 lineto
-209.427 109.774 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 207.416 116.479 moveto
-218 116 lineto
-209.427 109.774 lineto
+newpath 356 172 moveto
+310 161 246 146 204 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 355.508 175.471 moveto
+366 174 lineto
+356.881 168.607 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 355.508 175.471 moveto
+366 174 lineto
+356.881 168.607 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 255 117 407 137 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 255 117 407 137 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 255 116 moveto
+255 137 lineto
+407 137 lineto
+407 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 255 116 moveto
+255 137 lineto
+407 137 lineto
+407 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+331 123 moveto 136 -0.5 (work/mixpp/bdm/stat/libEF.h) alignedtext
+grestore
+% Node1->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 390 168 moveto
+375 158 357 145 345 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 387.9 170.8 moveto
+398 174 lineto
+392.1 165.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 387.9 170.8 moveto
+398 174 lineto
+392.1 165.2 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 425 117 571 137 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($arx_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 425 117 571 137 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($arx_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 425 116 moveto
+425 137 lineto
+572 137 lineto
+572 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 425 116 moveto
+425 137 lineto
+572 137 lineto
+572 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+498 123 moveto 131 -0.5 (work/mixpp/bdm/stat/arx.h) alignedtext
+grestore
+% Node1->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 438 168 moveto
+453 158 471 145 484 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 435.9 165.2 moveto
+430 174 lineto
+440.1 170.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 435.9 165.2 moveto
+430 174 lineto
+440.1 170.8 lineto
+closepath stroke
+grestore
+% Node9
+gsave
+[ /Rect [ 589 117 745 137 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libDS_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 589 117 745 137 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libDS_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 589 116 moveto
+589 137 lineto
+745 137 lineto
+745 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 589 116 moveto
+589 137 lineto
+745 137 lineto
+745 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+667 123 moveto 140 -0.5 (work/mixpp/bdm/stat/libDS.h) alignedtext
+grestore
+% Node1->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 472 172 moveto
+518 161 581 146 623 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 471.119 168.607 moveto
+462 174 lineto
+472.492 175.471 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 471.119 168.607 moveto
+462 174 lineto
+472.492 175.471 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 166 59 326 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libKF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 166 59 326 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libKF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 166 58 moveto
+166 79 lineto
+326 79 lineto
+326 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 166 58 moveto
+166 79 lineto
+326 79 lineto
+326 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+246 65 moveto 144 -0.5 (work/mixpp/bdm/estim/libKF.h) alignedtext
+grestore
+% Node2->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 185 110 moveto
+200 100 218 87 231 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 182.9 107.2 moveto
+177 116 lineto
+187.1 112.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 182.9 107.2 moveto
+177 116 lineto
+187.1 112.8 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 0 59 148 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($pmsm_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 0 59 148 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($pmsm_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 0 58 moveto
+0 79 lineto
+149 79 lineto
+149 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 58 moveto
+0 79 lineto
+149 79 lineto
+149 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+74 65 moveto 133 -0.5 (work/mixpp/pmsm/pmsm.h) alignedtext
+grestore
+% Node2->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 135 110 moveto
+120 100 102 87 89 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 132.9 112.8 moveto
+143 116 lineto
+137.1 107.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 132.9 112.8 moveto
+143 116 lineto
+137.1 107.2 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 175 59 327 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 175 59 327 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 175 58 moveto
-175 79 lineto
-327 79 lineto
-327 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 175 58 moveto
-175 79 lineto
-327 79 lineto
-327 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-251 65 moveto 136 -0.5 (work/mixpp/bdm/stat/libEF.h) alignedtext
-grestore
-% Node1->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 251 106 moveto
-251 96 251 86 251 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 247.5 106 moveto
-251 116 lineto
-254.5 106 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 247.5 106 moveto
-251 116 lineto
-254.5 106 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 345 59 501 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libDS_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 345 59 501 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libDS_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 345 58 moveto
-345 79 lineto
-501 79 lineto
-501 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 345 58 moveto
-345 79 lineto
-501 79 lineto
-501 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-423 65 moveto 140 -0.5 (work/mixpp/bdm/stat/libDS.h) alignedtext
-grestore
-% Node1->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 294 113 moveto
-325 102 366 88 393 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 292.573 109.774 moveto
-284 116 lineto
-294.584 116.479 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 292.573 109.774 moveto
-284 116 lineto
-294.584 116.479 lineto
-closepath stroke
-grestore
-% Node3
-gsave
-[ /Rect [ 0 1 160 21 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libKF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-[ /Rect [ 0 1 160 21 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libKF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 0 0 moveto
-0 21 lineto
-160 21 lineto
-160 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 0 moveto
-0 21 lineto
-160 21 lineto
-160 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-80 7 moveto 144 -0.5 (work/mixpp/bdm/estim/libKF.h) alignedtext
-grestore
-% Node2->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 80 48 moveto
-80 38 80 28 80 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 76.5001 48 moveto
-80 58 lineto
-83.5001 48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 76.5001 48 moveto
-80 58 lineto
-83.5001 48 lineto
-closepath stroke
-grestore
-% Node4->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 208 55 moveto
-178 44 137 30 110 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 207.416 58.4788 moveto
-218 58 lineto
-209.427 51.7741 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 207.416 58.4788 moveto
-218 58 lineto
-209.427 51.7741 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 178 1 338 21 ]
+[ /Rect [ 94 1 398 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+[ /Rect [ 94 1 398 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 94 0 moveto
+94 21 lineto
+398 21 lineto
+398 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 94 0 moveto
+94 21 lineto
+398 21 lineto
+398 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+246 7 moveto 288 -0.5 (work/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
+grestore
+% Node3->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 246 48 moveto
+246 38 246 28 246 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 242.5 48 moveto
+246 58 lineto
+249.5 48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 242.5 48 moveto
+246 58 lineto
+249.5 48 lineto
+closepath stroke
+grestore
+% Node6->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 307 110 moveto
+292 100 274 87 261 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 304.9 112.8 moveto
+315 116 lineto
+309.1 107.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 304.9 112.8 moveto
+315 116 lineto
+309.1 107.2 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 344 59 504 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libPF_8h.html) >>
   /Subtype /Link
 /ANN pdfmark
-[ /Rect [ 178 1 338 21 ]
+[ /Rect [ 344 59 504 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libPF_8h.html) >>
@@ -459,40 +612,40 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 178 0 moveto
-178 21 lineto
-338 21 lineto
-338 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 178 0 moveto
-178 21 lineto
-338 21 lineto
-338 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans.ttf set_font
-258 7 moveto 144 -0.5 (work/mixpp/bdm/estim/libPF.h) alignedtext
-grestore
-% Node4->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 253 48 moveto
-254 38 256 28 257 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 249.512 47.7013 moveto
-252 58 lineto
-256.478 48.3979 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 249.512 47.7013 moveto
-252 58 lineto
-256.478 48.3979 lineto
+newpath 344 58 moveto
+344 79 lineto
+504 79 lineto
+504 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 344 58 moveto
+344 79 lineto
+504 79 lineto
+504 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans.ttf set_font
+424 65 moveto 144 -0.5 (work/mixpp/bdm/estim/libPF.h) alignedtext
+grestore
+% Node6->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 358 111 moveto
+374 100 395 87 408 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 356.042 108.084 moveto
+349 116 lineto
+359.441 114.203 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 356.042 108.084 moveto
+349 116 lineto
+359.441 114.203 lineto
 closepath stroke
 grestore
@@ -504,5 +657,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 545 182
+%%BoundingBox: 36 36 789 240
 end
 restore
